<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:55 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Save (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Save (APP)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":9,"i8":10,"i9":9,"i10":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Save.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/game/Save.html" target="_top">Frames</a></li>
<li><a href="Save.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">towerwarspp.main.game</div>
<h2 title="Class Save" class="title">Class Save</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>towerwarspp.main.game.Save</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Iterable&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../towerwarspp/main/tournament/TSave.html" title="class in towerwarspp.main.tournament">TSave</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Save</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</pre>
<div class="block">This class provides the function of saving and loading Save-Games.
 it saves the history of moves in an ArrayDeque of Moves and writes them into a
 text file with the ".aot"-ending</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.2</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Alexander Wähling</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#BLUE">BLUE</a></span></code>
<div class="block">variables for the PlayerColor</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#dataName">dataName</a></span></code>
<div class="block">The Name of the File, which will be created</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#historySize">historySize</a></span></code>
<div class="block">The size of the arrayDeque</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#moveHistory">moveHistory</a></span></code>
<div class="block">The History of the moves</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.util.regex.Pattern</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#movePattern">movePattern</a></span></code>
<div class="block">the pattern for one move as string.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#RED">RED</a></span></code>
<div class="block">variables for the PlayerColor</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#savePath">savePath</a></span></code>
<div class="block">path to the Folder of the Savegames</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#size">size</a></span></code>
<div class="block">size of the board to be safed</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#Save-int-">Save</a></span>(int&nbsp;size)</code>
<div class="block">Constructor for Save-Object</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#add-towerwarspp.preset.Move-">add</a></span>(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</code>
<div class="block">adds a move</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#export-java.lang.String-">export</a></span>(java.lang.String&nbsp;fileName)</code>
<div class="block">The Method, which is called, if the user wants to save and export the game
 to a file with the given name.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getMoveHistory--">getMoveHistory</a></span>()</code>
<div class="block">returns the ArrayDeque</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getNextMove--">getNextMove</a></span>()</code>
<div class="block">polls the first move from the queue, implemented by ArrayDeque</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getSavePath--">getSavePath</a></span>()</code>
<div class="block">returns the savePath</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#getSize--">getSize</a></span>()</code>
<div class="block">getter for the boardsize</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.Iterator&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#iterator--">iterator</a></span>()</code>
<div class="block">returns iterator for the save-Class implemnted with an anonymous class,
 so the user can't manipulate the ArrayDeque itself.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#load-java.lang.String-">load</a></span>(java.lang.String&nbsp;file)</code>
<div class="block">Static method to be called when loading.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#loadn-java.lang.String-">loadn</a></span>(java.lang.String&nbsp;file)</code>
<div class="block">This method loads a plain-text-file and converts it into a Save-Object.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static <a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#parseLoad-java.lang.String-">parseLoad</a></span>(java.lang.String&nbsp;str)</code>
<div class="block">This method parses a given string to a Move-Object with the help of the
 static movePattern-Variable, which is a regex.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/main/game/Save.html#setMoveHistory-java.util.ArrayDeque-">setMoveHistory</a></span>(java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&nbsp;moveHistory)</code>
<div class="block">sets the ArrayDeque</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="movePattern">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movePattern</h4>
<pre>private static final&nbsp;java.util.regex.Pattern movePattern</pre>
<div class="block">the pattern for one move as string. used for parsing moves from savefile</div>
</li>
</ul>
<a name="savePath">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>savePath</h4>
<pre>private static final&nbsp;java.lang.String savePath</pre>
<div class="block">path to the Folder of the Savegames</div>
</li>
</ul>
<a name="RED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RED</h4>
<pre>private static final&nbsp;boolean RED</pre>
<div class="block">variables for the PlayerColor</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#towerwarspp.main.game.Save.RED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="BLUE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>BLUE</h4>
<pre>private static final&nbsp;boolean BLUE</pre>
<div class="block">variables for the PlayerColor</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#towerwarspp.main.game.Save.BLUE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="moveHistory">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>moveHistory</h4>
<pre>private&nbsp;java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt; moveHistory</pre>
<div class="block">The History of the moves</div>
</li>
</ul>
<a name="dataName">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dataName</h4>
<pre>private&nbsp;java.lang.String dataName</pre>
<div class="block">The Name of the File, which will be created</div>
</li>
</ul>
<a name="historySize">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>historySize</h4>
<pre>private&nbsp;int historySize</pre>
<div class="block">The size of the arrayDeque</div>
</li>
</ul>
<a name="size">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>size</h4>
<pre>private&nbsp;int size</pre>
<div class="block">size of the board to be safed</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Save-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Save</h4>
<pre>public&nbsp;Save(int&nbsp;size)</pre>
<div class="block">Constructor for Save-Object</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>size</code> - the size of the board</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;int&nbsp;getSize()</pre>
<div class="block">getter for the boardsize</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the the size of the saved board</dd>
</dl>
</li>
</ul>
<a name="getMoveHistory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoveHistory</h4>
<pre>public&nbsp;java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&nbsp;getMoveHistory()</pre>
<div class="block">returns the ArrayDeque</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the ArrayDeque with the moves</dd>
</dl>
</li>
</ul>
<a name="setMoveHistory-java.util.ArrayDeque-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoveHistory</h4>
<pre>public&nbsp;void&nbsp;setMoveHistory(java.util.ArrayDeque&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&nbsp;moveHistory)</pre>
<div class="block">sets the ArrayDeque</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>moveHistory</code> - the new ArrayDeque</dd>
</dl>
</li>
</ul>
<a name="getNextMove--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNextMove</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;getNextMove()</pre>
<div class="block">polls the first move from the queue, implemented by ArrayDeque</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the polled move</dd>
</dl>
</li>
</ul>
<a name="getSavePath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSavePath</h4>
<pre>public&nbsp;java.lang.String&nbsp;getSavePath()</pre>
<div class="block">returns the savePath</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the savePath</dd>
</dl>
</li>
</ul>
<a name="add-towerwarspp.preset.Move-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public&nbsp;void&nbsp;add(<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;move)</pre>
<div class="block">adds a move</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>move</code> - the move to be added</dd>
</dl>
</li>
</ul>
<a name="export-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>export</h4>
<pre>public&nbsp;void&nbsp;export(java.lang.String&nbsp;fileName)</pre>
<div class="block">The Method, which is called, if the user wants to save and export the game
 to a file with the given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - the Name for the new File. expanded by ".aot"</dd>
</dl>
</li>
</ul>
<a name="loadn-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadn</h4>
<pre>public&nbsp;<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;loadn(java.lang.String&nbsp;file)
           throws <a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a>,
                  java.io.IOException</pre>
<div class="block">This method loads a plain-text-file and converts it into a Save-Object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the name of the file to be loaded</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the parsed Save-Object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="parseLoad-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseLoad</h4>
<pre>public static&nbsp;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&nbsp;parseLoad(java.lang.String&nbsp;str)
                      throws <a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></pre>
<div class="block">This method parses a given string to a Move-Object with the help of the
 static movePattern-Variable, which is a regex.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>str</code> - the string to be parsed</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Move-Object</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></code></dd>
</dl>
</li>
</ul>
<a name="load-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public static&nbsp;<a href="../../../towerwarspp/main/game/Save.html" title="class in towerwarspp.main.game">Save</a>&nbsp;load(java.lang.String&nbsp;file)
                 throws <a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a>,
                        java.io.IOException</pre>
<div class="block">Static method to be called when loading.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the filename</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../towerwarspp/main/game/LoadParserException.html" title="class in towerwarspp.main.game">LoadParserException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;&nbsp;iterator()</pre>
<div class="block">returns iterator for the save-Class implemnted with an anonymous class,
 so the user can't manipulate the ArrayDeque itself.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a href="../../../towerwarspp/preset/Move.html" title="class in towerwarspp.preset">Move</a>&gt;</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the iterator over moveHistory</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Save.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../towerwarspp/main/game/Result.html" title="class in towerwarspp.main.game"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/main/game/Save.html" target="_top">Frames</a></li>
<li><a href="Save.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
